Public Class Form8

    Private Sub Form8_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.供应商”中。您可以根据需要移动或移除它。
        Me.供应商TableAdapter.Fill(Me.NorthwindDataSet.供应商)
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.雇员”中。您可以根据需要移动或移除它。

    End Sub

    Private Sub 打印有分组的ListViewToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 打印有分组的ListViewToolStripMenuItem.Click
        Dim mydgv As DataGridView
        mydgv = myp.ConvertListViewToDGV(lv1) '将转换面DGV
        '再打印DGV
        myp.NewDoc()
        myp.NewPage()

        myp.PrintDGV(mydgv, "打印具有分组功能的ListView的内容", New Font("黑体", 18), StringAlignment.Center, "1111", True, True, 6, True, True)

        myp.EndDoc()


    End Sub

    Private Sub 按所有列允许垂直合并打印DataGridViewToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles 按所有列允许垂直合并打印DataGridViewToolStripMenuItem.Click
        '这里只是简单的行合并（垂直合并），有关合并的更多信息，请参见帮助文件
        For i As Integer = 0 To dgv1.ColumnCount - 1
            dgv1.Columns(i).Tag = "合并" '设置允许合并的标识
        Next

        myp.NewDoc()
        myp.NewPage(True)

        myp.PrintDGV(dgv1, "允许列相邻内容相同的单元格垂直合并（跨行合并）打印DataGridView，看到打印效果了吗，很多列垂直方向相邻内容相同的都自动合并了，您可以单击某列按该列排序，然后重新打印，会有不同的合并效果哦，除此之外，控件还具有行跨列合并和同时跨行与跨列合并功能，在此不再详述，如疑问请与我联系", New Font("黑体", 18), StringAlignment.Center, "1111", True, True, 6, True, True)

        myp.EndDoc()
        For i As Integer = 0 To dgv1.ColumnCount - 1
            dgv1.Columns(i).Tag = "" '再将标识复原
        Next

    End Sub
End Class